---
layout: post
title: "Summary of 'Quantum machine learning beyond kernel methods'"
date: 2024-03-06
---

Author: Soﬁene Jerbi, Lukas J. Fiderer, Hendrik Poulsen Nautrup, Jonas M. Kübler, Hans J. Briegel, Vedran Dunjko

Journal: Nature Communications

[Original Paper](https://www.nature.com/articles/s41467-023-36159-y)

This article presents a study on quantum machine learning models and their 
comparison to classical models. The authors propose a framework that captures 
all standard models based on parametrized quantum circuits, focusing on linear 
quantum models. They analyze the resource requirements and learning performance 
guarantees of these models, particularly comparing explicit and implicit models.
They show that implicit models can achieve a lower training loss but may suffer 
from poor generalization performance. They also show that data re-uploading 
models, a type of explicit model, can be more general than both explicit and 
implicit models. The authors further investigate the advantages of explicit 
models by testing their performance on a learning task involving 
quantum-generated data. They find that explicit models can outperform both 
implicit models and classical models on this task, highlighting the potential 
learning advantage of explicit quantum models. The study provides insights into 
the capabilities and limitations of different quantum machine learning models, 
and it contributes to understanding the possible advantages of quantum models in
practical applications.
