---
layout: page
title:  Code of Conduct
---
# Apache Mahout Community Code of Conduct

The Apache Mahout community is committed to providing a welcoming, inclusive, and supportive environment for everyone, regardless of their background, identity, or level of expertise. This Code of Conduct outlines our expectations for community members' behavior and serves as a guide for maintaining a positive, respectful, and collaborative community.

## Our Pledge

We pledge to create a safe and positive environment for all community members, including users, contributors, committers, and maintainers. We encourage open collaboration, constructive feedback, and the free exchange of ideas, while fostering an atmosphere of respect, kindness, and mutual support.

## Our Standards

Examples of behavior that contributes to a positive community environment include:

- Demonstrating empathy and kindness toward others
- Being respectful of differing opinions, perspectives, and experiences
- Giving and gracefully accepting constructive feedback
- Accepting responsibility for our actions and apologizing when needed
- Focusing on what is best for the community and the project

Examples of unacceptable behavior include:

- Harassment, intimidation, or discrimination of any kind
- Offensive comments related to gender, gender identity, sexual orientation, race, ethnicity, religion, disability, or physical appearance
- Inappropriate use of sexualized language or imagery
- Personal attacks, insults, or derogatory remarks
- Trolling, sustained disruption of discussions, or deliberate intimidation
- Public or private harassment
- Other conduct that is inappropriate or unprofessional in a community setting

## Enforcement Responsibilities

Maintainers and community leaders are responsible for clarifying and enforcing the standards of acceptable behavior and may take appropriate and fair corrective action in response to any instances of unacceptable behavior.

## Enforcement Guidelines

If a community member engages in unacceptable behavior, maintainers and community leaders may take any action they deem appropriate, up to and including temporary bans or permanent expulsion from the community without warning.

## Reporting Guidelines

If you are subject to or witness any violations of this Code of Conduct, please contact the project maintainers or raise the issue on the community mailing list. All complaints will be reviewed and investigated promptly and fairly.

## Scope

This Code of Conduct applies within all community spaces, including online forums, mailing lists, chat rooms, issue trackers, and any other public spaces where community members interact. It also applies to private communication when the parties involved are members of the Apache Mahout community.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant](https://www.contributor-covenant.org/), version 2.0, available at https://www.contributor-covenant.org/version/2/0/code_of_conduct.html.

