---
layout: page
title:  Community Overview
---

# Community Overview

Welcome to the Apache Mahout Community Overview page! Apache Mahout is an open-source project driven by a diverse and passionate community of developers, users, and contributors from around the world. This page provides an introduction to the Mahout community and highlights various ways you can get involved and contribute to the project.

## Get Involved

There are numerous ways to engage with the Mahout community, no matter your background or skill level. Some options include:

- **Mailing Lists**: Join the [user](mailto:user-subscribe@mahout.apache.org) and [developer](mailto:dev-subscribe@mahout.apache.org) mailing lists to participate in discussions, ask questions, and share your experiences.
- **Issue Tracker**: Report bugs, request features, or contribute patches via the [Mahout JIRA issue tracker](https://issues.apache.org/jira/projects/MAHOUT/).
- **GitHub**: Contribute code, review pull requests, or submit issues on the [Apache Mahout GitHub repository](https://github.com/apache/mahout).
- **Documentation**: Help improve the [Mahout documentation](https://mahout.apache.org/docs/) by adding tutorials, guides, or updating existing content.

## Community Guidelines

As a member of the Mahout community, we expect you to adhere to the following guidelines:

- **Be respectful**: Treat all community members with kindness and respect, and appreciate the diversity of opinions and perspectives.
- **Be constructive**: Offer helpful feedback and support to your fellow community members, and always strive to contribute positively to the project.
- **Be collaborative**: Work together with others in the community, embracing teamwork and shared decision-making.

## Community Recognition

We value the hard work and dedication of our community members and acknowledge their contributions through various recognition programs, such as:

- **Mahout Committer**: Active contributors with a track record of high-quality code contributions and community engagement may be granted Committer status, which allows direct access to the code repository.
- **Mahout Project Management Committee (PMC)**: Long-term, dedicated Committers may be invited to join the PMC, taking on additional responsibilities and guiding the project's overall direction.

Thank you for your interest in the Apache Mahout community! By working together, we can continue to build and maintain a robust, scalable machine learning library for everyone.
