---
layout: page
title: Developer Resources

    
---

<a name="DeveloperResources-MakingaContribution"></a>
## Making a Contribution

Mahout is always looking for contributions, especially in the areas of
documentation. See our [How to contribute](/developers/how-to-contribute.html) page for details.


<a name="DeveloperResources-SourceCode"></a>
## Source Code

The source files are stored using Git, our page on [version control](/developers/version-control.html) has details on how to access the sourcecode.


<a name="DeveloperResources-Documentation"></a>
## Documentation

Javadoc and Scaladoc documentation is available online by module:

 * [Mahout Math](/docs/0.13.0/api/docs/mahout-math/index.html)
 * [Mahout Math Scala bindings](/docs/0.13.0/api/docs/mahout-math-scala/index.html)
 * [Mahout Spark bindings](/docs/0.13.0/api/docs/mahout-spark/index.html)
 * [Mahout HDFS](/docs/0.13.0/api/docs/mahout-hdfs/index.html)
 * [Mahout Map-Reduce](/docs/0.13.0/api/docs/mahout-mr/index.html)
 * [Mahout Integration](/docs/0.13.0/api/docs/mahout-integration/index.html)

<a name="DeveloperResources-Issues"></a>
## Issues

All bugs, improvements, [pull requests](http://mahout.apache.org/developers/github.html), etc. should be logged in our [issue tracker](/developers/issue-tracker.html).

<a name="DeveloperResources-ContinuousIntegration"></a>
## Continuous Integration

Mahout is continuously built using [Apache Maven](https://github.com/apache/mahout/actions/workflows/mahout.yml).

## Board reports

Every three months Mahout submits a report to the Apache board. All of the drafts that get sent are checked into svn. See here:

<a href="https://svn.apache.org/repos/asf/mahout/pmc/board-reports/">https://svn.apache.org/repos/asf/mahout/pmc/board-reports/</a>
